This is a "plugin" for the Video Disk Recorder (VDR).

Written by:                  Helmut Auer <vdr@helmutauer.de>

Project's homepage:          none

Latest version available at: nowhere

See the file COPYING for license information.

Description: This is a VDR plugin for adminstrative tasks( e.g. network settings ).

Syntax:
     -P 'admin -d cfgDir'
     
Saemtliche Scripte und die ConfigDatei werden im cfgDir erwartet.     
Der Default dafuer ist plugins/admin unter dem VDR-Config Verzeichnis

Nach dem Verlassen des Setups fuer dieses Plugin wird das skriptfile (admin.sh) gestartet.
Dieses durchsucht das ConfigFile(admin.conf) und startet dann die zugehoerigen Skripte.
Die aktuellen Skripte sehen vor, dass erst NACH beenden von VDR die Aenderungen aktiv werden.

Aufbau des config  files:

# <script>:<name>:<value>:<type>:<length>:<choices>:<description>:

Typ ist A,I,B oder L

A=Alphabetic:
  length - Laenge in Bytes
  choices - Gueltige Zeichen

I=Integer
  length - falss angegeben wird bis zu dieser Laenge mit Nullen aufgefuellt
  choices - minValue,maxValue
            d.h. 0,5 bedeutet Werte von 0-5

B=Bool
  choices - wert1,wert2

L=Liste
  choices - wert1,wert2.....wertN

Gueltige Zeilen in der admin.conf beginnen mit:

"/" - Variable ( mit / beginnt der SkriptName )

":" - Submenu ( Steht ein Begriff hinter dem ':' dann ists der Titel des Submenues,
      falls nur ein ':' vorkommt wird das begonnene Submenu beendet.
      Rekursive Submenues werden nicht unterstuetzt, d.h durch ein neues Submenu wird
      das vorherige beendet.

"-" - Kommentarzeile die so im OSD angezeigt wird

Alle uebrigen Zeilen werden ueberlesen :-)
